<template>
  <v-ons-navigator
    swipeable
    swipe-target-width="5%"
    id="navigator"
    :page-stack="pageStack"
    :pop-page="storePop"
    :options="{
    animation: 'fade',
    animationOptions: {duration: 0.2, timing: 'ease-in'}
  }"
    var="navigator"
  ></v-ons-navigator>
</template>

<script>
import LoadScreen from './components/LoadScreen';
// import Registration from './views/auth/Login';

export default {
  name: 'app',
  beforeCreate() {
    this.$store.commit('navigator/push', LoadScreen);
  },
  computed: {
    pageStack() {
      return this.$store.state.navigator.stack;
    },
  },
  methods: {
    storePop() {
      this.$store.commit('navigator/pop');
    },
    onBackButton() {
      const myNavigator = document.getElementById('navigator');
      myNavigator.onDeviceBackButton.enable();
    },
  },
  mounted() {
    document.addEventListener('backbutton', this.onBackButton, false);
  },
};
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
ons-splitter-side[side=left][animation=overlay] {
  border-right: 1px solid #BBB;
}
</style>
